Page MenuHomePhabricator

Adjust edit count bucketing for CodeMirror
Closed, ResolvedPublic2 Estimated Story Points

Description

Earlier patches:

  • 656159: Log user edit count bucket

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
awight updated the task description. (Show Details)

Change 656210 had a related patch set uploaded (by Awight; owner: Awight):
[analytics/reportupdater-queries@master] Segment CodeMirror metrics by user edit count

https://gerrit.wikimedia.org/r/656210

awight removed awight as the assignee of this task.Feb 1 2021, 3:02 PM
awight updated the task description. (Show Details)
awight moved this task from Doing to Review on the WMDE-TechWish (Sprint-2021-01-20) board.
awight set the point value for this task to 5.Feb 2 2021, 12:06 PM
lilients_WMDE changed the point value for this task from 2 to 0.
awight removed the point value for this task.Feb 17 2021, 9:37 AM
awight set the point value for this task to 2.Feb 17 2021, 10:41 AM
awight moved this task from Watching (Stalled) to Doing on the WMDE-TechWish-Sprint-2021-02-17 board.

Putting points on this task again: I need to adjust one of our queries so that it still works after a major Hive upgrade from 1.1 to 2.3.6. row_number syntax has changed.

Change 656210 merged by Mforns:
[analytics/reportupdater-queries@master] Segment CodeMirror metrics by user edit count

https://gerrit.wikimedia.org/r/656210

All new segmentation is broken in various ways:

  • New preferences are not written to Graphite yet.
  • sessions byEditCount is all "anonymous" and "unknown".
  • New toggles are not written yet.

@JAllemandou has kindly copied the logged failures:

Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]: 2021-02-25 10:56:50,391 - ERROR - Report "users_codemirror_and_wikitext" could not be written because of error: 'NoneType' object has no attribute
Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]: Traceback (most recent call last):
Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]:   File "/srv/reportupdater/reportupdater/reportupdater/writer.py", line 45, in run
Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]:     self.write_results(header, updated_data, report, self.get_output_folder())
Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]:   File "/srv/reportupdater/reportupdater/reportupdater/writer.py", line 149, in write_results
Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]:     row[0] = row[0].strftime(DATE_FORMAT)
Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]: AttributeError: 'NoneType' object has no attribute 'strftime'
Feb 25 10:56:50 an-launcher1002 reportupdater-codemirror[30844]: 2021-02-25 10:56:50,395 - INFO - Executing "<Report key=users_codemirror_and_wikitext type=sql granularity=days lag=0 is_funnel=False first_date=2

Maybe something is wrong with the first-folumn formatting. Maybe this has to do with the reserved keyword changes, where we had to quote date.

Change 668039 had a related patch set uploaded (by Awight; owner: Awight):
[analytics/reportupdater-queries@master] Fix wiring to metrics

https://gerrit.wikimedia.org/r/668039

Change 668039 merged by Mforns:
[analytics/reportupdater-queries@master] Fix wiring to metrics

https://gerrit.wikimedia.org/r/668039